[zorg] r227358 - Add sanitizer-x86_64-linux-autoconf builder

Alexey Samsonov vonosmas at gmail.com
Wed Jan 28 11:52:18 PST 2015


Author: samsonov
Date: Wed Jan 28 13:52:18 2015
New Revision: 227358

URL: http://llvm.org/viewvc/llvm-project?rev=227358&view=rev
Log:
Add sanitizer-x86_64-linux-autoconf builder

Modified:
    zorg/trunk/buildbot/osuosl/master/config/builders.py
    zorg/trunk/buildbot/osuosl/master/config/slaves.py
    zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_selector.py
    zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_standard.sh
    zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh

Modified: zorg/trunk/buildbot/osuosl/master/config/builders.py
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/buildbot/osuosl/master/config/builders.py?rev=227358&r1=227357&r2=227358&view=diff
==============================================================================
--- zorg/trunk/buildbot/osuosl/master/config/builders.py (original)
+++ zorg/trunk/buildbot/osuosl/master/config/builders.py Wed Jan 28 13:52:18 2015
@@ -699,6 +699,11 @@ def _get_sanitizer_builders():
            'builddir': "sanitizer-x86_64-linux-fast",
            'factory': SanitizerBuilder.getSanitizerBuildFactory()},
 
+          {'name': "sanitizer-x86_64-linux-autoconf",
+           'slavenames' :["sanitizer-buildbot4"],
+           'builddir': "sanitizer-x86_64-linux-autoconf",
+           'factory': SanitizerBuilder.getSanitizerBuildFactory()},
+
           #{'name': "llvm-clang-lld-x86_64-ubuntu-sanitize-address",
           # 'slavenames':["hexagon-build-03"],
           # 'builddir':"llvm-clang-lld-x86_64-ubuntu-sanitize-address",

Modified: zorg/trunk/buildbot/osuosl/master/config/slaves.py
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/buildbot/osuosl/master/config/slaves.py?rev=227358&r1=227357&r2=227358&view=diff
==============================================================================
--- zorg/trunk/buildbot/osuosl/master/config/slaves.py (original)
+++ zorg/trunk/buildbot/osuosl/master/config/slaves.py Wed Jan 28 13:52:18 2015
@@ -165,6 +165,8 @@ def get_build_slaves():
         create_slave("sanitizer-buildbot2", properties={'jobs': 8}, max_builds=1),
         # Debian 7.7 x86_64 8-core GCE instance
         create_slave("sanitizer-buildbot3", properties={'jobs': 8}, max_builds=1),
+        # Debian 7.7 x86_64 8-core GCE instance
+        create_slave("sanitizer-buildbot4", properties={'jobs': 8}, max_builds=1),
 
         # zEnterprise 196 (s390x), SLES 11 SP2
         create_slave("systemz-1", properties={'jobs': 4}, max_builds=1),

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_selector.py
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_selector.py?rev=227358&r1=227357&r2=227358&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_selector.py (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_selector.py Wed Jan 28 13:52:18 2015
@@ -14,35 +14,21 @@ def cmd_call(path):
     return 'call ' + os.path.join(THIS_DIR, path)
 
 BOT_ASSIGNMENT = {
-    'win': cmd_call('buildbot_standard.bat'),
-    'linux': bash('buildbot_standard.sh'),
-    'linux-bootstrap': bash('buildbot_bootstrap.sh'),
-    'linux-chrome-asan': bash('buildbot_chrome_asan.sh'),
-    'linux-chrome-tsan': bash('buildbot_chrome_tsan.sh'),
-    'linux-perf-asan': bash('buildbot_perf_asan.sh'),
-    'mac10.9-cmake': bash('buildbot_cmake.sh'),
-    'mac10.9': bash('buildbot_standard.sh'),
     'sanitizer-ppc64le-linux': bash('buildbot_cmake.sh'),
     'sanitizer-ppc64-linux1': bash('buildbot_cmake.sh'),
     'sanitizer-x86_64-linux': bash('buildbot_cmake.sh'),
     'sanitizer-x86_64-linux-bootstrap': bash('buildbot_bootstrap.sh'),
     'sanitizer-x86_64-linux-fast': bash('buildbot_fast.sh'),
+    'sanitizer-x86_64-linux-autoconf': bash('buildbot_standard.sh'),
 }
 
 BOT_ADDITIONAL_ENV = {
-    'win': {},
-    'linux': { 'CHECK_TSAN': '1', 'BUILD_ASAN_ANDROID' : '1' },
-    'linux-bootstrap': {},
-    'linux-chrome-asan': {},
-    'linux-chrome-tsan': {},
-    'linux-perf-asan': {},
-    'mac10.9-cmake': { 'MAX_MAKE_JOBS': '8' },
-    'mac10.9': { 'MAX_MAKE_JOBS': '8' },
     'sanitizer-ppc64le-linux': { 'HAVE_NINJA': '0' },
     'sanitizer-ppc64-linux1': { 'HAVE_NINJA': '0' },
     'sanitizer-x86_64-linux': { 'BUILD_ANDROID' : '1', 'RUN_ANDROID' : '1', 'HAVE_NINJA' : '1' },
     'sanitizer-x86_64-linux-bootstrap': {},
     'sanitizer-x86_64-linux-fast': {},
+    'sanitizer-x86_64-linux-autoconf': { 'CHECK_TSAN': '1', 'BUILD_ASAN_ANDROID' : '1' },
 }
 
 def Main():

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_standard.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_standard.sh?rev=227358&r1=227357&r2=227358&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_standard.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/buildbot_standard.sh Wed Jan 28 13:52:18 2015
@@ -4,21 +4,21 @@ set -x
 set -e
 set -u
 
+# dump buildbot env
+env
+
 HERE="$(dirname $0)"
 . ${HERE}/buildbot_functions.sh
 
-GCC_BUILD=/usr/local/gcc-4.8.2
-export PATH="$GCC_BUILD/bin:$PATH"
-export LD_LIBRARY_PATH=$GCC_BUILD/lib64
-
 if [ "$BUILDBOT_CLOBBER" != "" ]; then
   echo @@@BUILD_STEP clobber@@@
   rm -rf llvm
   rm -rf llvm-build
 fi
 
+ROOT=`pwd`
 PLATFORM=`uname`
-MAKE_JOBS=${MAX_MAKE_JOBS:-16}
+MAKE_JOBS=${MAX_MAKE_JOBS:-8}
 BUILD_ASAN_ANDROID=${BUILD_ASAN_ANDROID:-0}
 CHECK_TSAN=${CHECK_TSAN:-0}
 
@@ -33,12 +33,10 @@ cd llvm-build
 ../llvm/configure --enable-optimized
 make -j$MAKE_JOBS
 cd ..
-BUILD_ROOT=`pwd`
-CLANG_BUILD=$BUILD_ROOT/llvm-build/Release+Asserts
+CLANG_BUILD=$ROOT/llvm-build/Release+Asserts
 
 echo @@@BUILD_STEP test llvm@@@
-cd llvm-build
-make check-all || echo @@@STEP_WARNINGS@@@
+(cd llvm-build && make check-all) || echo @@@STEP_WARNINGS@@@
 
 echo @@@BUILD_STEP sanity check for sanitizer tools@@@
 CLANGXX_BINARY=$CLANG_BUILD/bin/clang++
@@ -50,7 +48,7 @@ for xsan in address undefined; do
   ./a.out
 done
 if [ "$PLATFORM" == "Linux" ]; then
-  for xsan in thread memory; do
+  for xsan in thread memory leak; do
     $CLANGXX_BINARY -fsanitize=$xsan -m64 temp.cc -o a.out
     ./a.out
   done
@@ -59,28 +57,28 @@ fi
 if [ $BUILD_ASAN_ANDROID == 1 ] ; then
   echo @@@BUILD_STEP build asan/android runtime@@@
   make -j$MAKE_JOBS -C tools/clang/runtime/ \
-      LLVM_ANDROID_TOOLCHAIN_DIR=$BUILD_ROOT/../../../android-ndk/standalone
+      LLVM_ANDROID_TOOLCHAIN_DIR=$ROOT/../../../android-ndk/standalone-arm
 fi
 
 if [ $CHECK_TSAN == 1 ] ; then
   echo @@@BUILD_STEP prepare for testing tsan@@@
 
-  TSAN_PATH=$BUILD_ROOT/llvm/projects/compiler-rt/lib/tsan/
+  TSAN_PATH=$ROOT/llvm/projects/compiler-rt/lib/tsan/
   (cd $TSAN_PATH && make -f Makefile.old install_deps)
 
-  export PATH=$CLANG_BUILD/bin:$GCC_BUILD/bin:$PATH
+  export PATH=$CLANG_BUILD/bin:$PATH
   export MAKEFLAGS=-j$MAKE_JOBS
   gcc -v 2>tmp && grep "version" tmp
   clang -v 2>tmp && grep "version" tmp
 
-  cd $BUILD_ROOT
+  cd $ROOT
   if [ -d tsanv2 ]; then
     (cd tsanv2 && svn up --ignore-externals)
   else
     svn co http://data-race-test.googlecode.com/svn/trunk/ tsanv2
   fi
-  export RACECHECK_UNITTEST_PATH=$BUILD_ROOT/tsanv2/unittest
+  export RACECHECK_UNITTEST_PATH=$ROOT/tsanv2/unittest
 
-  cp $BUILD_ROOT/../../../scripts/slave/test_tsan.sh $TSAN_PATH
+  cp $ROOT/../sanitizer_buildbot/sanitizers/test_tsan.sh $TSAN_PATH
   (cd $TSAN_PATH && ./test_tsan.sh)
 fi

Modified: zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh
URL: http://llvm.org/viewvc/llvm-project/zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh?rev=227358&r1=227357&r2=227358&view=diff
==============================================================================
--- zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh (original)
+++ zorg/trunk/zorg/buildbot/builders/sanitizers/test_tsan.sh Wed Jan 28 13:52:18 2015
@@ -11,24 +11,10 @@ make -f Makefile.old DEBUG=1 CC=clang CX
 echo @@@BUILD_STEP tsan test debug-clang@@@
 ./tsan_test
 
-echo @@@BUILD_STEP tsan stats/output@@@
+echo @@@BUILD_STEP tsan build with stats/output@@@
 make -f Makefile.old clean
 make -f Makefile.old DEBUG=1 CC=clang CXX=clang++ CFLAGS="-DTSAN_COLLECT_STATS=1 -DTSAN_DEBUG_OUTPUT=2"
 
-echo @@@BUILD_STEP tsan build SHADOW_COUNT=4@@@
-make -f Makefile.old clean
-make -f Makefile.old DEBUG=1 CC=clang CXX=clang++ CFLAGS=-DTSAN_SHADOW_COUNT=4
-
-echo @@@BUILD_STEP tsan test SHADOW_COUNT=4@@@
-./tsan_test
-
-echo @@@BUILD_STEP tsan build SHADOW_COUNT=2@@@
-make -f Makefile.old clean
-make -f Makefile.old DEBUG=1 CC=clang CXX=clang++ CFLAGS=-DTSAN_SHADOW_COUNT=2
-
-echo @@@BUILD_STEP tsan test SHADOW_COUNT=2@@@
-./tsan_test
-
 echo @@@BUILD_STEP tsan build release-gcc@@@
 make -f Makefile.old clean
 make -f Makefile.old DEBUG=0 CC=gcc CXX=g++





More information about the llvm-commits mailing list